Subject: Re: bug#27261: guix package -u should warn about non-existent packages

From: Leo Famulari <[email-masked]>
Date: Mon, 26 Jun 2017 14:32:54 -0400

On Mon, Jun 26, 2017 at 10:01:03AM +0200, Ludovic Courtès wrote:
> Could you check whether “guix package -A syncthing” shows it there?  The
> warning should appear as soon as we’re upgrading a package that’s
> missing.

I get no results when I do `./pre-inst-env guix package -A syncthing`
from the repo where I removed qsyncthingtray.

`guix package -A syncthing` shows a result for qsyncthingtray, because
that is a "plain" Guix, from `guix pull`, set up as described in Binary
Installation:

$ ls -l $(which guix)
lrwxrwxrwx 1 root staff 54 Aug 14  2015 /usr/local/bin/guix -> /var/guix/profiles/per-user/root/guix-profile/bin/guix
$ ls -l ~/.config/guix/latest 
lrwxrwxrwx 1 leo leo 55 Jun 25 19:19 /home/leo/.config/guix/latest -> /gnu/store/jbrn4pixmrqmqk8jmx533cnqhjhm17sb-guix-latest

But, that's not the Guix that I expect to be queried for packages. Maybe
there is some unexpected interaction between the various copies of Guix?

I'll try this on GuixSD today or tomrrow.